Bio::SeqIO::flybase_chadoxml(3)

NAME
Bio::SeqIO::flybase_chadoxml - FlyBase variant of chadoxml with sequence output stream

SYNOPSIS
It is probably best not to use this object directly, but rather go through the SeqIO handler system:

    $writer = Bio::SeqIO->new(-file => ">chado.xml",
                              -format => 'flybase_chadoxml');

    # assume you already have Sequence or SeqFeature objects
    $writer->write_seq($seq_obj);

    #after writing all seqs
    $writer->close_chadoxml();

DESCRIPTION
This is a simple subclass of Bio::SeqIO::chadoxml; please see its documentation for details.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org

AUTHOR - Peili Zhang
Email peili@morgan.harvard.edu

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  return_ftype_hash

Usage
      $obj->return_ftype_hash()

Function
    A simple hash where returning it has be factored out of the main code to allow subclasses to override it.

Returns
    A hash that indicates what the name of the SO term is and what the name of the Sequence Ontology is in the cv table.

Arguments
    The string that represents the SO term.

  return_reltypename

Usage
      $obj->return_reltypename()

Function
    Return the appropriate relationship type name depending on the feature type (typically partof, but producedby for proteins).

Returns
    A relationship type name.

Arguments
    A SO type name.

  write_seq

Usage
      $obj->write_seq()

Function
    Overrides Bio::SeqIO::chadoxml's write_seq method just to add an internal close_chadoxml (mimics original use by FlyBase).

Returns
Arguments